> For the complete documentation index, see [llms.txt](https://docs.concha.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.concha.network/reference/polygon-cdk.md).

# Polygon CDK

<table data-card-size="large" data-view="cards" data-full-width="true"><thead><tr><th></th><th></th><th data-hidden data-card-cover data-type="files"></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>Polygon Chain Development Kit (CDK) is a modular, open source software toolkit allowing blockchain developers to launch new zero-knowledge proof (zkEVM plus optional validium) L2 chains on Ethereum.</td><td></td><td></td><td></td></tr><tr><td></td><td></td><td><a href="/files/KMB022aT2OW7j65GGpbS">/files/KMB022aT2OW7j65GGpbS</a></td><td></td></tr><tr><td><strong>Polygon Type 1 Prover</strong></td><td><p></p><p>Find out about the Polygon Type 1 Prover component.</p></td><td></td><td><a href="https://docs.polygon.technology/cdk/architecture/type-1-prover/intro-t1-prover">https://docs.polygon.technology/cdk/architecture/type-1-prover/intro-t1-prover</a></td></tr><tr><td><strong>CDK rollups</strong></td><td><p></p><p>Get started with the CDK zkRollup stack.</p></td><td></td><td><a href="https://docs.polygon.technology/cdk/get-started/quickstart-rollup">https://docs.polygon.technology/cdk/get-started/quickstart-rollup</a></td></tr><tr><td>CDK validiums</td><td><p></p><p>Get started with the CDK validium stack.</p></td><td></td><td><a href="https://docs.polygon.technology/cdk/get-started/quickstart-validium">https://docs.polygon.technology/cdk/get-started/quickstart-validium</a></td></tr><tr><td><strong>Rollup versus validium</strong></td><td><p></p><p>Discover the key differences between the rollup and validium infrastructure options.</p></td><td></td><td><a href="https://docs.polygon.technology/cdk/spec/validium-vs-rollup">https://docs.polygon.technology/cdk/spec/validium-vs-rollup</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.concha.network/reference/polygon-cdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
